--- title: "Get registry list" slug: "containerregistry-getregistry" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/containerregistry-getregistry" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get registry list Available in Classic and VPC Get the list of registries registered in Container Registry. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /ncr/api/v2/repositories (Korea Region) | | GET | /ncr/sgn-api/v2/repositories (Singapore Region) | | GET | /ncr/jpn-api/v2/repositories (Japan Region) | ### Request headers For information about the headers common to all Container Registry APIs, see [Container Registry request headers](/docs/en/compute-containerregistry#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | Optional | Page number to query - Enter a value greater than 0 for the page number. | | `pagesize` | Number | Optional | Size of the page to query - Enter a value greater than 0 for the page size. | ### Request example The request example is as follows: ``` curl -X GET 'https://ncr.apigw.ntruss.com/ncr/api/v2/repositories' \ --header 'Content-Type: application/json; charset=utf-8' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response syntax The response syntax is as follows: ``` { "count": "number", "next": "number", "previous": "number", "results": [ { "bucket": "string", "created": "number", "end_point": "string", "end_point_enabled": "boolean", "name": "string", "private_end_point": "string", "private_id": "string", "public_reg_status": "boolean", "scan_on_push_enabled": "boolean", "status": "string", "storage_type": "string" } ] } ``` ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `count` | Number | - | Total number of registries registered | | `next` | Number | - | Number of the next page - It returns `null` if there is no next page. | | `previous` | Number | - | Number of the previous page - It returns `null` if there is no previous page. | | `results` | Array | - | Response result: [results](/docs/en/containerregistry-getregistry#results) | #### `results` The following describes `results`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `bucket` | String | - | Name of the bucket integrated with the registry | | `created` | Number | - | Registry creation date - Return the number of milliseconds that have elapsed since January 1, 1970 00:00:00 UTC. | | `end_point` | String | - | Endpoint for Docker client to access the registry | | `end_point_enabled` | Boolean | - | Endpoint accessibility | | `name` | String | - | Registry name | | `private_end_point` | String | - | Endpoint for Docker client to access the registry - Available only on NAVER Cloud Platform's VPC network | | `private_id` | String | - | ID of the private endpoint | | `public_reg_status` | Boolean | - | Whether the user who accessed without authentication has Pull permissions - `true` \| `false` | | `scan_on_push_enabled` | Boolean | - | Whether to automatically scan for vulnerabilities when uploading container images - `true` \| `false` | | `status` | String | - | Integration status of registry and storage - `running` \| `disconnected` - `running`: Normal status - `disconnected`: Bucket deleted | | `storage_type` | String | - | Type of storage integrated with the registry | ### Response status codes For information about the HTTP status codes common to all Container Registry APIs, see [Container Registry response status codes](/docs/en/compute-containerregistry#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "count": 1, "next": null, "previous": null, "results": [ { "bucket": "ncpdocker", "created": 1711695272000, "end_point": "ncpdocker.kr.ncr.ntruss.com", "end_point_enabled": true, "name": "ncpdocker", "private_end_point": "pdxxxnzd.kr.private-ncr.ntruss.com", "private_id": "pdxxxnzd", "public_reg_status": false, "scan_on_push_enabled": false, "status": "running", "storage_type": "objectStorage" } ] } ```